package osdu.allow_employee

import future.keywords.in

principals_company_or_all := {
    input.CompanyName,
    concat("", ["srn:master-data/Organisation:", input.CompanyName, ":"]),
    "All",
    "srn:master-data/Organisation:Our Company:"
}

trueSet = {"True", "Y", "Yes", true}

default allow = false

allow = true {
    input.EmployeeType == "Our Employee"
    some i, j
    input.DataEntitlementContracts[j].Data.IndividualTypeProperties.AffiliateEnablementIndicator in trueSet
    input.DataEntitlementContracts[j].Data.IndividualTypeProperties.AgreementParties[i].AgreementParty in principals_company_or_all
}
